Create Metering Policy Assignment

Create Metering Policy Assignment
Create a new pricing card assignment

Create a new pricing card policy assignment based on request body and validate its field according to business rules. Request body with ALL entityType will delete the older assignments for the given pricingCardId

Request
URI
POST
https://{vcfa-fqdn}/price/api/private/pricing-card-assignments
COPY
Request Body
MeteringPolicyAssignment of type(s) application/json
Required  

Show optional properties

{
    "pricingCardId": "string"
}
{
    "createdAt": "string",
    "entityId": "string",
    "entityName": "string",
    "entityType": "string",
    "id": "string",
    "lastUpdatedAt": "string",
    "orgId": "string",
    "pricingCardId": "string",
    "pricingCardName": "string"
}
string As date-time As date-time
createdAt
Read-Only  

Creation time

string
entityId
Optional

Pricing card assigned entity id

string
entityName
Read-Only  

Pricing card assigned entity name

string
entityType
Optional

Pricing card assigned entity type

Enumeration: ALL, PROJECT, CLOUDZONE
string As uuid As uuid
id
Optional

Id of the pricingCardAssignment

string As date-time As date-time
lastUpdatedAt
Read-Only  

Updated time

string
orgId
Optional

OrgId of the pricingCardAssignment

string As uuid As uuid
pricingCardId
Required  

Pricing card id

string
pricingCardName
Read-Only  

Pricing card name

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns MeteringPolicyAssignment of type(s) application/json
{
    "createdAt": "string",
    "entityId": "string",
    "entityName": "string",
    "entityType": "string",
    "id": "string",
    "lastUpdatedAt": "string",
    "orgId": "string",
    "pricingCardId": "string",
    "pricingCardName": "string"
}
string As date-time As date-time
createdAt
Read-Only  

Creation time

string
entityId
Optional

Pricing card assigned entity id

string
entityName
Read-Only  

Pricing card assigned entity name

string
entityType
Optional

Pricing card assigned entity type

Enumeration: ALL, PROJECT, CLOUDZONE
string As uuid As uuid
id
Optional

Id of the pricingCardAssignment

string As date-time As date-time
lastUpdatedAt
Read-Only  

Updated time

string
orgId
Optional

OrgId of the pricingCardAssignment

string As uuid As uuid
pricingCardId
Required  

Pricing card id

string
pricingCardName
Read-Only  

Pricing card name


201

Created

Returns MeteringPolicyAssignment of type(s) application/json
"MeteringPolicyAssignment Object"
string As date-time As date-time
createdAt
Read-Only  

Creation time

string
entityId
Optional

Pricing card assigned entity id

string
entityName
Read-Only  

Pricing card assigned entity name

string
entityType
Optional

Pricing card assigned entity type

Enumeration: ALL, PROJECT, CLOUDZONE
string As uuid As uuid
id
Optional

Id of the pricingCardAssignment

string As date-time As date-time
lastUpdatedAt
Read-Only  

Updated time

string
orgId
Optional

OrgId of the pricingCardAssignment

string As uuid As uuid
pricingCardId
Required  

Pricing card id

string
pricingCardName
Read-Only  

Pricing card name


401

Unauthorized

Returns MeteringPolicyAssignment of type(s) application/json
"MeteringPolicyAssignment Object"
string As date-time As date-time
createdAt
Read-Only  

Creation time

string
entityId
Optional

Pricing card assigned entity id

string
entityName
Read-Only  

Pricing card assigned entity name

string
entityType
Optional

Pricing card assigned entity type

Enumeration: ALL, PROJECT, CLOUDZONE
string As uuid As uuid
id
Optional

Id of the pricingCardAssignment

string As date-time As date-time
lastUpdatedAt
Read-Only  

Updated time

string
orgId
Optional

OrgId of the pricingCardAssignment

string As uuid As uuid
pricingCardId
Required  

Pricing card id

string
pricingCardName
Read-Only  

Pricing card name


403

Forbidden

Returns MeteringPolicyAssignment of type(s) application/json
"MeteringPolicyAssignment Object"
string As date-time As date-time
createdAt
Read-Only  

Creation time

string
entityId
Optional

Pricing card assigned entity id

string
entityName
Read-Only  

Pricing card assigned entity name

string
entityType
Optional

Pricing card assigned entity type

Enumeration: ALL, PROJECT, CLOUDZONE
string As uuid As uuid
id
Optional

Id of the pricingCardAssignment

string As date-time As date-time
lastUpdatedAt
Read-Only  

Updated time

string
orgId
Optional

OrgId of the pricingCardAssignment

string As uuid As uuid
pricingCardId
Required  

Pricing card id

string
pricingCardName
Read-Only  

Pricing card name


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"pricingCardId":"string"}' https://{api_host}/price/api/private/pricing-card-assignments